Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface DocumentConnectionPoolMBean

public interface DocumentConnectionPoolMBean
extends ServiceConfigurationMBean

Document Connection pool configuration mbean.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getCapacityIncrement()` Get the capacity increment.
`java.lang.String[]` | `getClassPath()` Get the classpath elements to use when loading the driver (and, potentionally, DocumentProvider).
`java.lang.String` | `getDriverName()` Get the JDBC driver name.
`int` | `getInitialCapacity()` Get the initial capacity of the pool.
`int` | `getLoginTimeout()` Get the login timeout (the amount of time the pool will wait for a connection to become available).
`int` | `getMaxCapacity()` Get the maximum capacity of the pool.
`java.util.Properties` | `getProperties()` Get the JDBC properties.
`java.lang.String` | `getURL()` Get the JDBC URL.
`boolean` | `isShrinkingEnabled()` Is shrinking enabled.
`void` | `restart()` Restart the connection pool.
`void` | `setCapacityIncrement(int inc)` Set the capacity increment.
`void` | `setClassPath(java.lang.String[] classpath)` Set the classpath elements to use when loading the driver (and, potentionally, DocumentProvider).
`void` | `setDriverName(java.lang.String driverName)` Set the JDBC driver name.
`void` | `setInitialCapacity(int cap)` Set the initial capacity of the pool.
`void` | `setLoginTimeout(int timeout)` Set the login timeout (the amount of time the pool will wait for a connection to become available).
`void` | `setMaxCapacity(int cap)` Set the maximum capacity of the pool.
`void` | `setProperties(java.util.Properties p)` Set the JDBC properties.
`void` | `setShrinkingEnabled(boolean b)` Set if shrinking is enabled.
`void` | `setURL(java.lang.String url)` Set the JDBC URL.
`void` | `shutdown()` Shutdown the connection pool.
`void` | `start()` Start the connection pool.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDriverName

    public java.lang.String getDriverName()

  Get the JDBC driver name.

### setDriverName

    public void setDriverName(java.lang.String driverName)

  Set the JDBC driver name.

  A dynamic MBean attribute
  Legal NULL: true

### getURL

    public java.lang.String getURL()

  Get the JDBC URL.

### setURL

    public void setURL(java.lang.String url)

  Set the JDBC URL.

  A dynamic MBean attribute
  Legal NULL: false

### getProperties

    public java.util.Properties getProperties()

  Get the JDBC properties.

### setProperties

    public void setProperties(java.util.Properties p)

  Set the JDBC properties.

  A dynamic MBean attribute
  Legal NULL: true

### getInitialCapacity

    public int getInitialCapacity()

  Get the initial capacity of the pool.

  Default Value: 20

### setInitialCapacity

    public void setInitialCapacity(int cap)

  Set the initial capacity of the pool.

  A dynamic MBean attribute
  Legal Minimum Value: 0

### getMaxCapacity

    public int getMaxCapacity()

  Get the maximum capacity of the pool.

  Default Value: 20

### setMaxCapacity

    public void setMaxCapacity(int cap)

  Set the maximum capacity of the pool.

  A dynamic MBean attribute
  Legal Minimum Value: 1

### getCapacityIncrement

    public int getCapacityIncrement()

  Get the capacity increment.

  Default Value: 0

### setCapacityIncrement

    public void setCapacityIncrement(int inc)

  Set the capacity increment.

  A dynamic MBean attribute
  Legal Minimum Value: 0

### isShrinkingEnabled

    public boolean isShrinkingEnabled()

  Is shrinking enabled.

  Default Value: false

### setShrinkingEnabled

    public void setShrinkingEnabled(boolean b)

  Set if shrinking is enabled.

### getLoginTimeout

    public int getLoginTimeout()

  Get the login timeout (the amount of time the pool will wait for a connection to become available).

  Default Value: 0

### setLoginTimeout

    public void setLoginTimeout(int timeout)

  Set the login timeout (the amount of time the pool will wait for a connection to become available).

### getClassPath

    public java.lang.String[] getClassPath()

  Get the classpath elements to use when loading the driver (and, potentionally, DocumentProvider).

  All paths are relative to the enterprise application base. The enterprise application classloader will be the parent classloader.

### setClassPath

    public void setClassPath(java.lang.String[] classpath)

  Set the classpath elements to use when loading the driver (and, potentionally, DocumentProvider).

  All paths are relative to the enterprise application base. The enterprise application classloader will be the parent classloader.

  A dynamic MBean attribute
  Legal NULL: true

### restart

    public void restart()

  Restart the connection pool.

  A dynamic MBean attribute

### start

    public void start()

  Start the connection pool.

  A dynamic MBean attribute

### shutdown

    public void shutdown()

  Shutdown the connection pool.

  A dynamic MBean attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved